#!/bin/sh
# WPA/WPA2(TKIP/AES) Scripts
# example : INFRA_WPA2.sh '"SSID-ap"' '"Passphrase"'

sh /etc/network/wlan-scripts/disconnect_wlan0.sh

ifconfig wlan0 up
wpa_supplicant -Dnl80211,wext -iwlan0 -C/var/run -B
wpa_cli -p/var/run -iwlan0 disconnect
wpa_cli -p/var/run -iwlan0 ap_scan 1
wpa_cli -p/var/run -iwlan0 add_network
wpa_cli -p/var/run -iwlan0 set_network 0 mode 0
wpa_cli -p/var/run -iwlan0 set_network 0 ssid $1
wpa_cli -p/var/run -iwlan0 set_network 0 key_mgmt WPA-PSK
wpa_cli -p/var/run -iwlan0 set_network 0 psk $2
wpa_cli -p/var/run -iwlan0 set_network 0 pairwise "CCMP TKIP"
wpa_cli -p/var/run -iwlan0 set_network 0 group "CCMP TKIP"
wpa_cli -p/var/run -iwlan0 set_network 0 proto "WPA RSN"
wpa_cli -p/var/run -iwlan0 enable_network 0
wpa_cli -p/var/run -iwlan0 reassociate
iw wlan0 connect `echo $1 | sed -e s/\"//g | sed -e s/\'//g`
wpa_cli -p/var/run -iwlan0 list_networks
ifup wlan0
